<?php defined('C5_EXECUTE') or die("Access Denied.");?>
<div class="clearfix">
    <div class="ccm-dashboard-header-buttons">
        <a href="<?=$controller->action('restore_original')?>" class="btn btn-default"><i class="fa fa-repeat" aria-hidden="true"></i>&nbsp;<?= t('Restore original robots.txt')?></a>
        <div class="btn-group">
            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp;<?= t('Restore previous robots.txt')?><span class="caret"></span>
            </button>

            <ul id="versions" class="dropdown-menu">
                <?php
                if (sizeof($versions) > 0) {
                    foreach($versions as $k => $v) {
                        ?>
                        <li>
                            <a style="display: inline; float: left;" href="<?=$controller->action('restore_version', $k)?>"><?=  $v?></a>
                            <a style="display: inline; float: right; clear: none;" href="<?=$controller->action('delete_version', $k)?>"><i class="fa fa-trash" aria-hidden="true"></i></a>
                        </li>
                        <?php
                    }
                } else {
                    ?>
                    <li>
                        <a style="display: inline; float: left;" href="#"><?=t('No versions saved yet')?></a>
                    </li>
                    <?php
                }
                ?>
            </ul>
        </div>
        <a id="toess_lab_robots_txt_delete_all" href="#" class="btn btn-danger"><i class="fa fa-exclamation" aria-hidden="true"></i>&nbsp;<?= t('Delete all versions')?></a>
    </div>
    <form method="post" class="form-stacked" action="<?=$controller->action('save_robot')?>">
    <?php
    echo $formHelper->label('robots_txt', t('robots.txt'));
    echo $formHelper->textarea('robots_txt', str_replace('\\n', "\n", $robotsTxt), ['rows' => '25']);
    ?>
        <div class="ccm-dashboard-form-actions-wrapper">
            <div class="ccm-dashboard-form-actions">
                <?php
                echo $formHelper->submit('submit', t('Save'), ['class' => 'btn btn-primary']);
                ?>
            </div>
        </div>

    </form>
</div>
<script>
    var modalText = "<?=t("Are you sure to delete all versions? This can't be undone")?>",
        deleteAllUrl = '<?=$controller->action('delete_all')?>',
        deleteBtn = '<?=t('Delete')?>';
</script>